package com.pcloud.book.keywords.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @author lily
 * @date 2019/5/9 16:17
 */
public class BookKeywordRecord extends BaseEntity {

    private Long id;

    /**
     * 关键词标识
     */
    private Long keywordId;

    /**
     * 图书标识
     */
    private Long bookId;

    /**
     * 运营标识
     */
    private Long channelId;

    /**
     * 社群码标识
     */
    private Long bookGroupId;

    /**
     * 分类标识
     */
    private Long classifyId;

    /**
     * 微信标识
     */
    private String userWxId;

    private Long adviserId;

    /**
     * 分类二维码标识
     */
    private Long groupQrcodeId;

    /**
     * 群二维码标识
     */
    private Long weixinQrcodeId;

    /**
     * 微信群标识
     */
    private String weixinGroupId;

    /**
     * 是否推送
     */
    private Boolean isSend;

    public Boolean getSend() {
        return isSend;
    }

    public void setSend(Boolean send) {
        isSend = send;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public Long getWeixinQrcodeId() {
        return weixinQrcodeId;
    }

    public void setWeixinQrcodeId(Long weixinQrcodeId) {
        this.weixinQrcodeId = weixinQrcodeId;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public String getUserWxId() {
        return userWxId;
    }

    public void setUserWxId(String userWxId) {
        this.userWxId = userWxId;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getKeywordId() {
        return keywordId;
    }

    public void setKeywordId(Long keywordId) {
        this.keywordId = keywordId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    @Override
    public String toString() {
        return "BookKeywordRecord{" +
                "id=" + id +
                ", keywordId=" + keywordId +
                ", bookId=" + bookId +
                ", channelId=" + channelId +
                ", bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", userWxId='" + userWxId + '\'' +
                ", adviserId=" + adviserId +
                ", groupQrcodeId=" + groupQrcodeId +
                ", weixinQrcodeId=" + weixinQrcodeId +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                ", isSend=" + isSend +
                '}';
    }
}
